lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [<thread-prev] [day] [month] [year] [list]
Date:	Thu, 11 Feb 2010 17:09:39 -0800
From:	"Luis R. Rodriguez" <mcgrof@...il.com>
To:	Tony Espy <espy@...onical.com>
Cc:	Ubuntu Kernel Team <kernel-team@...ts.ubuntu.com>,
	netdev@...r.kernel.org
Subject: Re: Note: Atheros ethernet part of compat-wireless too

On Wed, Feb 10, 2010 at 6:22 PM, Luis R. Rodriguez <mcgrof@...il.com> wrote:
> On Wed, Feb 10, 2010 at 10:16 AM, Luis R. Rodriguez <mcgrof@...il.com> wrote:
>> On Tue, Feb 2, 2010 at 9:26 AM, Tony Espy <espy@...onical.com> wrote:
>>> Luis R. Rodriguez wrote:
>>>>
>>>> I wanted to let you know I threw in the Atheros ethernet drivers as
>>>> part of compat-wireless.
>>>
>>> Luis --
>>>
>>> Does this include support for the Atheros AR8152 PCI-E fast ethernet
>>> adapter?  Also, what's the lead time for this to land in a "stable" release?
>>
>> Figured I'd give you the heads up that the AR8152 is not supported
>> upstream yet. I just got a tarball of the driver that supports this
>> and AR8151. Here's our current upstream support status table:
>>
>> Driver Model-name             vendor:device    Type
>> atl1c  AR8131                 1969:1063        Gigabit Ethernet
>> atl1c  AR8132                 1969:1062        Fast Ethernet
>> atl1   L1                     1969:1048        Gigabit Ethernet
>> atl2   L2                     1969:2048        Fast Ethernet
>> atl1e  AR8121/AR8113/AR8114   1969:1026        Gigabit/Fast Ethernet(driver
>>                                               check one internal register to
>>                                               see if support gigabit)
>> atl1c  AR8151(v1.0)           1969:1073        Gigabit Ethernet(not support
>>                                               in kernel yet)
>> atl1c  AR8152(v1.1)           1969:2060        Fast Ethernet(not support
>>                                               in kernel yet)
>> atl1c  AR8152(v2.0)           1969:2062        Fast Ethernet(not support
>>                                               in kernel yet)
>>
>> I just updated the PCI ID database accordingly. The driver patches for
>> atl1c might be easy, will take a quick look. FWIW the tarball I will
>> be looking at in a few moments is
>>
>> http://kernel.org/pub/linux/kernel/people/mcgrof/ethernet/AR81Family-linux-v1.0.1.6.tar.bz2
>
> OK I got some patch now, will send an RFT.

This worked for me, so compat-wireless-2.6.34 should get AR8152 PCI-E
fast ethernet support as well, assuming of course my patch gets into
2.6.34.

  Luis
--
To unsubscribe from this list: send the line "unsubscribe netdev" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html

Powered by blists - more mailing lists